Paper Trading

List paper trading accounts

GET
/apps/{appId}/paper-trading/accounts

Authorization

appApiKey
headerx-app-api-key<token>

App-scoped API key. It is the only credential on partner-admin reads, paper-trading admin, and webhook rotate or replay. POST /bot-protection/verify requires it together with x-app-id.

Path Parameters

appId*string

Query Parameters

limit?number
Range1 <= value <= 100
cursor?string
externalId?string
Length1 <= length <= 160

Response Body

200

application/json
  1. response
data*array<>
nextCursor*string
hasMore*boolean
Example Request
curl -X GET 'https://api.t.sufwankhalid.com/apps/string/paper-trading/accounts'
Example Response
{  "data": [    {      "id": "string",      "appId": "string",      "name": "string",      "externalId": "string",      "currency": "string",      "startingBalanceRaw": "string",      "startingBalance": 0,      "cashBalanceRaw": "string",      "cashBalance": 0,      "realizedPnlRaw": "string",      "realizedPnl": 0,      "kycStatus": "verified",      "kycVerified": true,      "status": "active",      "createdAt": "string",      "updatedAt": "string"    }  ],  "nextCursor": "string",  "hasMore": true}